#![cfg_attr(docsrs, feature(doc_cfg))]

#[cfg(target_os = "linux")]
pub fn send() -> bool {
  sd_notify::notify(false, &[sd_notify::NotifyState::Ready]).is_ok()
}

#[cfg(not(target_os = "linux"))]
pub fn send() -> bool {
  // 非 Linux 平台什么都不做，或者打印日志
  true
}
